Package org.springframework.security.authorization.method

# Class PrePostTemplateDefaults

java.lang.Object
org.springframework.security.authorization.method.PrePostTemplateDefaults

@Deprecated public final class PrePostTemplateDefaults extends Object
Deprecated.
Please use `AnnotationTemplateExpressionDefaults` instead
A component for configuring various cross-cutting aspects of pre/post method security

Since:
  6.3
See Also:
  - `PreAuthorize`
  - `PostAuthorize`
  - `PreFilter`
  - `PostFilter`

## Constructor Summary

Constructors
Constructor
Description
`PrePostTemplateDefaults()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isIgnoreUnknown()`
Deprecated.
Whether template resolution should ignore placeholders it doesn't recognize.
`void`
`setIgnoreUnknown(boolean ignoreUnknown)`
Deprecated.
Configure template resolution to ignore unknown placeholders.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrePostTemplateDefaults

public PrePostTemplateDefaults()
Deprecated.

## Method Details

### isIgnoreUnknown

public boolean isIgnoreUnknown()
Deprecated.
Whether template resolution should ignore placeholders it doesn't recognize.

By default, this value is `true`.

### setIgnoreUnknown

public void setIgnoreUnknown(boolean ignoreUnknown)
Deprecated.
Configure template resolution to ignore unknown placeholders. When set to `false`, template resolution will throw an exception for unknown placeholders.

By default, this value is `true`.

Parameters:
  `ignoreUnknown` - - whether to ignore unknown placeholders parameters